package com.madeu.service.web.webvacationmanagement;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WebVacationManagementService {

	public HashMap<String, Object> selectListVacationManagement(HashMap<String, Object> paramMap) throws Exception;
	public List<Map<String, Object>> selectListVacationManagementExcel(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateVacationManagementIntro(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectVacationManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectVacationManagementLeftDays(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectVacationManagementDays(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertVacationManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertVacationManagementExcel(HashMap<String, Object> paramMap,MultipartFile file) throws Exception;
	public HashMap<String, Object> updateVacationManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> deleteVacationManagement(HashMap<String, Object> paramMap) throws Exception;
	public List<Map<String, Object>> downloadVacationManagementDetailExcel(HashMap<String, Object> paramMap) throws Exception;
	public List<Map<String, Object>> selectListMemberExcel(HashMap<String, Object> paramMap) throws Exception;

}
